<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
ReplicationConfig..::.AddRemoteSite Method
ReplicationConfig Class See Also Send Feedback

Add a new replication site to the replication manager's list of known sites. It is not necessary for all sites in a replication group to know about all other sites in the group.

Namespace: BerkeleyDB
Assembly: libdb_dotnet50 (in libdb_dotnet50.dll) Version: 5.0.21.0

# Syntax

C#

    public void AddRemoteSite(
    	ReplicationHostAddress host,
    	bool isPeer
    )

Visual Basic (Declaration)

    Public Sub AddRemoteSite ( _
    	host As ReplicationHostAddress, _
    	isPeer As Boolean _
    )

Visual C++

    public:
    void AddRemoteSite(
    	ReplicationHostAddress^ host,
    	bool isPeer
    )

#### Parameters

host
  Type: BerkeleyDB..::.ReplicationHostAddress
  The remote site's address

isPeer
  Type: System..::.Boolean
  If true, configure client-to-client synchronization with the specified remote site.

# Remarks

Currently, the replication manager framework only supports a single client peer, and the last specified peer is used.

# See Also

ReplicationConfig Class
BerkeleyDB Namespace